<?xml version='1.0' encoding='UTF-8'?><wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://eshop/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="PropertySetter" targetNamespace="http://eshop/">
  <wsdl:types>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://eshop/" elementFormDefault="unqualified" targetNamespace="http://eshop/" version="1.0">

  <xs:element name="publishNewDescription" type="tns:publishNewDescription"/>

  <xs:element name="publishNewDescriptionResponse" type="tns:publishNewDescriptionResponse"/>

  <xs:element name="publishNewImageURL" type="tns:publishNewImageURL"/>

  <xs:element name="publishNewImageURLResponse" type="tns:publishNewImageURLResponse"/>

  <xs:element name="publishNewPrice" type="tns:publishNewPrice"/>

  <xs:element name="publishNewPriceResponse" type="tns:publishNewPriceResponse"/>

  <xs:complexType name="publishNewDescription">
    <xs:sequence>
      <xs:element minOccurs="0" name="productName" type="xs:string"/>
      <xs:element minOccurs="0" name="description" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="publishNewDescriptionResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:boolean"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="publishNewImageURL">
    <xs:sequence>
      <xs:element minOccurs="0" name="productName" type="xs:string"/>
      <xs:element minOccurs="0" name="imageURL" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="publishNewImageURLResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:boolean"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="publishNewPrice">
    <xs:sequence>
      <xs:element minOccurs="0" name="productName" type="xs:string"/>
      <xs:element name="price" type="xs:double"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="publishNewPriceResponse">
    <xs:sequence>
      <xs:element name="return" type="xs:boolean"/>
    </xs:sequence>
  </xs:complexType>

</xs:schema>
  </wsdl:types>
  <wsdl:message name="publishNewDescription">
    <wsdl:part element="tns:publishNewDescription" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="publishNewImageURLResponse">
    <wsdl:part element="tns:publishNewImageURLResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="publishNewDescriptionResponse">
    <wsdl:part element="tns:publishNewDescriptionResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="publishNewPriceResponse">
    <wsdl:part element="tns:publishNewPriceResponse" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="publishNewImageURL">
    <wsdl:part element="tns:publishNewImageURL" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="publishNewPrice">
    <wsdl:part element="tns:publishNewPrice" name="parameters">
    </wsdl:part>
  </wsdl:message>
  <wsdl:portType name="PropertySetter">
    <wsdl:operation name="publishNewDescription">
      <wsdl:input message="tns:publishNewDescription" name="publishNewDescription">
    </wsdl:input>
      <wsdl:output message="tns:publishNewDescriptionResponse" name="publishNewDescriptionResponse">
    </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="publishNewImageURL">
      <wsdl:input message="tns:publishNewImageURL" name="publishNewImageURL">
    </wsdl:input>
      <wsdl:output message="tns:publishNewImageURLResponse" name="publishNewImageURLResponse">
    </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="publishNewPrice">
      <wsdl:input message="tns:publishNewPrice" name="publishNewPrice">
    </wsdl:input>
      <wsdl:output message="tns:publishNewPriceResponse" name="publishNewPriceResponse">
    </wsdl:output>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="PropertySetterSoapBinding" type="tns:PropertySetter">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="publishNewDescription">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="publishNewDescription">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="publishNewDescriptionResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="publishNewImageURL">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="publishNewImageURL">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="publishNewImageURLResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="publishNewPrice">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="publishNewPrice">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="publishNewPriceResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="PropertySetter">
    <wsdl:port binding="tns:PropertySetterSoapBinding" name="PropertySetterImplPort">
      <soap:address location="http://192.168.53.104:8080/uddiWebServices/services/propertysetter"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>